REST API :: tags.remove

Remove a previously saved face tag from a photo.

Try it now on the API Sandbox

url:

http://api.face.com/tags/remove.format

parameters:

RequiredNameDescription
Requiredapi_keyyour face.com API Key
api_secretyour face.com API Secret
tidsa list of the tag ids to remove. The tag ID (tid) is a reference field in the response of tags.get, faces.detect and faces.recognize.
Optionalformat‘json’ (default) or ‘xml’
callbackjavascript method to wrap a json-formatted response (for JSONP support, ignored if format=xml)
passwordfor use when saving tags is a privileged action in your client-side application (must be enabled in application settings)
user_authsigned-in facebook or twitter user credentials. Required only when specifying UIDsin these namespaces. Use name:value pairs, separated by comma:

  • fb_user:[facebook user id]
  • [Deprecated] fb_session:[facebook session id] 
  • fb_oauth_token [facebook OAuth 2.0 access token]
    and/or:
  • twitter_username:[twitter screen name]
  • twitter_password:[twitter password]
    or:
  • twitter_oauth_user:[twitter OAuth user]
  • twitter_oauth_secret:[twitter OAuth secret]
  • twitter_oauth_token:[twitter OAuth token]

example:

http://api.face.com/tags/remove.json?api_key=4b4b4c6d54c37&api_secret= &tids=17268_4b5840ff65801

response sample (json):

View complete list of response fields

{
     removed_tags: [
           {
               removed_tid: "19841_4b4b4c6d54c37"
               detected_tid: "TEMP_F@c650d8026c85d4f78d33adfe05c9fa98_4b4b4c6d54c37_11.41_64.20_1"
           }
    ]
    message: "Tag removed"
    status: "success"
}